//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU Library General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef SERVER_H
#define SERVER_H

#include <SDL.h>
#include <SDL_thread.h>
#include <list>
//#include <cppsocket/socket.h>
//#include "client.h"

class Server
{
	public:
		Server(int port);
		~Server();
 
        bool startServer(int port);
        void acceptClients();
        void stopAcceptingClients();
        static int acceptClientsThread(void* data);
        static int listenClientThread(void* data);

		// send the map to all clients
		//void send_map();
		// tell the player that he starts first
		//void send_playerorder();
		
		//Client* get_client(int socket);
        /*
		void new_connection(int socket);
		void closed_connection(int socket);
		void playerinfo_sent(int socket, QString data);
		
		void newConnection(int socket);
		void connection_closed();
		void data_incoming();
        */
		
	private:
        //std::list<CPPSocket::Socket> clientList;
        SDL_Thread* acceptThread;
};

#endif

// End of file
